org.eclipse.ease.debugging.model

## Enum EaseDebugElement.State

- java.lang.Object
- - java.lang.Enum<EaseDebugElement.State>
  - - org.eclipse.ease.debugging.model.EaseDebugElement.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EaseDebugElement.State>

Enclosing class:
  EaseDebugElement

    public static enum EaseDebugElement.State
    extends java.lang.Enum<EaseDebugElement.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISCONNECTED`
`NOT_STARTED`
`RESUMED`
`STEPPING`
`SUSPENDED`
`TERMINATED`

### Method Summary

All Methods Static Methods Concrete Methods
`static EaseDebugElement.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EaseDebugElement.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_STARTED

    public static final EaseDebugElement.State NOT_STARTED

#### SUSPENDED

    public static final EaseDebugElement.State SUSPENDED

#### RESUMED

    public static final EaseDebugElement.State RESUMED

#### STEPPING

    public static final EaseDebugElement.State STEPPING

#### TERMINATED

    public static final EaseDebugElement.State TERMINATED

#### DISCONNECTED

    public static final EaseDebugElement.State DISCONNECTED

### Method Detail

#### values

    public static EaseDebugElement.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EaseDebugElement.State c : EaseDebugElement.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EaseDebugElement.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null